#ifndef Effect_H
#define Effect_H

#include "Window.h"
#include "config.h"
#include <Arduino.h>

class Effect {
protected:
    Window* window = Window::getFullWindow(); // Use a full screen window per default.
public:
	virtual ~Effect() {};
    virtual void loop() = 0;
    boolean supports_window = false;
    virtual boolean can_be_shown_with_clock() { return false; };
    virtual boolean clock_as_mask() { return false; };
    void setWindow(Window* win) {
        window = win;
    };
};

#endif
