#include "my_fastled.h"

CRGB leds[LED_COUNT];

void fastled_setup() {
    FastLED.addLeds<LED_TYPE,DATA_PIN,COLOR_ORDER>(leds, LED_COUNT).setCorrection(TypicalLEDStrip);
    FastLED.setBrightness(BRIGHTNESS);
    FastLED.setDither(TEMPORAL_DITHERING);
    if (LED_MAX_MILLIAMPS > 0) {
    	FastLED.setMaxPowerInVoltsAndMilliamps(5, LED_MAX_MILLIAMPS);
	}
};
