#pragma once

#include "Effect.h"
#include "prototypes.h"
#include "my_fastled.h"
#include "Animation.h"

class AnimationEffect : public Effect {
private:
    Animation *animation;
    uint16_t xOffset;
    uint16_t yOffset;
public:
    AnimationEffect(const char* name) : AnimationEffect(name, 0x000000, 0, 0) {}
    AnimationEffect(const char* name, uint32_t bg_color) : AnimationEffect(name, bg_color, 0, 0) {}
    AnimationEffect(const char* name, uint32_t bg_color, int x, int y);
    ~AnimationEffect();
    AnimationEffect* setFgColor(uint32_t c);
    void loop();
};
