#ifndef effect_big_clock_H
#define effect_big_clock_H

#include "Effect.h"

class BigClockEffect : public Effect {
private:
    CRGB color_h = CRGB(0xFF0000);
    CRGB color_m = CRGB(0x00FF00);
    CRGB color_colon = CRGB(0xFFFF00);

    void drawNumber(uint8_t number, int x, int y, CRGB color);

    void drawText(char *text, int x, int y, CRGB color);

    const unsigned char* font_char(const unsigned char* font, char c);

    void drawSprite(const unsigned char* sprite, int xOffset, int yOffset, CRGB color);

public:
    void loop();
};

#endif
