#pragma once
#include "Effect.h"
#include "config.h"

class SingleDynamicEffect : public Effect {
protected:
    static const int factor = 2;
    static const int tile_count = LED_WIDTH/factor * LED_HEIGHT/factor;
    CRGB tiles[tile_count];
    CRGB old_tiles[tile_count];
    uint8_t blend = 0;
public:
    SingleDynamicEffect();
    void init();
    boolean can_be_shown_with_clock();
    virtual void loop();
    void draw();
};

class MultiDynamicEffect : public SingleDynamicEffect {
public:
    void loop();
};
