#pragma once
#include "Effect.h"

class GolEffect : public Effect {
private:
	uint8_t *_data;
	uint8_t *_old;
	uint8_t _blend;
	uint8_t _hue = 0;
	uint8_t _old_hue = 0;
	uint16_t _step;
	
	void _advance();
	void _draw();
	void _initialize();

public:
	GolEffect();
	~GolEffect();
	void loop();
	bool can_be_shown_with_clock();
};
