#ifndef effect_sinematrix3_H
#define effect_sinematrix3_H

#include "prototypes.h"
#include "functions.h"
#include "Effect.h"

class Sinematrix3Effect : public Effect {
private:
    double pangle = 0;
    double angle = 0;
    double sx = 0;
    double sy = 0;
    double tx = 0;
    double ty = 0;
    double cx = 0;
    double cy = 0;
    double rcx = 0;
    double rcy = 0;
    double angle2 = 0;
    double sx2 = 0;
    double sy2 = 0;
    double tx2 = 0;
    double ty2 = 0;
    double basecol = 0;
    double fx = 1.0 / (LED_WIDTH / PI);
    double fy = 1.0 / (LED_HEIGHT / PI);
    Matrix rotate;

public:
    boolean supports_window = true;
    boolean can_be_shown_with_clock();
    boolean clock_as_mask();
    void loop();
};

#endif
